## coloreffects coloreffects |

## Properties

GstColorEffectsPreset | preset | Read / Write

## Types and Values

struct | GstColorEffects
enum | GstColorEffectsPreset

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstColorEffects

## Description

Map colors of the video input to a lookup table

### Example launch line

    1
    2
    gst-launch-1.0 -v videotestsrc ! coloreffects preset=heat ! videoconvert !
        autovideosink

This pipeline shows the effect of coloreffects on a test stream.

## Synopsis

### Element Information

plugin | coloreffects
author | Filippo Argiolas <filippo.argiolas@gmail.com>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ ARGB, BGRA, ABGR, RGBA, xRGB, BGRx, xBGR, RGBx, RGB, BGR, AYUV }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ ARGB, BGRA, ABGR, RGBA, xRGB, BGRx, xBGR, RGBx, RGB, BGR, AYUV }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstColorEffects

    struct GstColorEffects;

Opaque datastructure.

### enum GstColorEffectsPreset

The lookup table to use to convert input colors

#### Members

GST_COLOR_EFFECTS_PRESET_NONE |  |
GST_COLOR_EFFECTS_PRESET_HEAT |  |
GST_COLOR_EFFECTS_PRESET_SEPIA |  |
GST_COLOR_EFFECTS_PRESET_XRAY |  |
GST_COLOR_EFFECTS_PRESET_XPRO |  |
GST_COLOR_EFFECTS_PRESET_YELLOWBLUE |  |

## Property Details

### The `“preset”` property

      “preset”                   GstColorEffectsPreset

Color effect preset to use.

Flags: Read / Write

Default value: Do nothing preset